Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Interface Keywords

    @UML(identifier="MD_Keywords",
         specification=ISO_19115)
    public interface Keywords

Keywords, their type and reference source.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends InternationalString>` | `getKeywords()` Commonly used word(s) or formalised word(s) or phrase(s) used to describe the subject.
`Citation` | `getThesaurusName()` Name of the formally registered thesaurus or a similar authoritative source of keywords.
`KeywordType` | `getType()` Subject matter used to group similar keywords.

Method Detail

### getKeywords

    @UML(identifier="keyword",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends InternationalString> getKeywords()

  Commonly used word(s) or formalised word(s) or phrase(s) used to describe the subject.

### getType

    @UML(identifier="type",
         obligation=OPTIONAL,
         specification=ISO_19115)
    KeywordType getType()

  Subject matter used to group similar keywords.

### getThesaurusName

    @UML(identifier="thesaurusName",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Citation getThesaurusName()

  Name of the formally registered thesaurus or a similar authoritative source of keywords.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.